Cancel scheduled task run
Cancel scheduled task run. Scoped to the scheduled task named by scheduled_task_id.
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Path Parameters
scheduled_task_id*string
Format
uuidHeader Parameters
Endless-Api-Version?string
Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/scheduled-tasks/0191e5a2-c15d-7147-ba2f-7c8e0d36f915/runs/cancel" \ -H "Content-Type: application/json" \ -d '{ "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec" }'{ "cancelled": true, "status": "in_progress"}